// troxnet
// the network routines for Trox
// last change 1999-01-02
// Robin Gruber

#ifndef TROXNET_H
#define TROXNET_H

#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <unistd.h>
#include <netdb.h>
#include <fcntl.h>
#include <vga.h>
#include "troxmath.h"


typedef struct {
    bool local;
    int score;
    bool alive;
    int side;
} Player;

int initnet(int argc,char * argv[], int &ap, Player *p);

void getmessage(int &spieler, int &a, Vector & n, bool &collision, bool lock);

bool getshortmessage(int &spieler, int &a, bool lock);

void sendmessage(const int &spieler, const signed int &a, const Vector & n, const bool &collision);

bool sendshortmessage(const int & spieler, const int &a);

#endif
